{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function end_window, msg, send_event, post_event\r\ndeclare subroutine record_lock\r\n\r\nopen 'SYSLISTS' to SysListsTable else\r\n    Void = msg( '', 'Unable to open SYSLISTS...' )\r\n    return 0\r\nend\r\nPrevWindow = set_property( @window, '@PrevWindow' )\r\nRecordId = 'QUOTE_ID*':@station\r\nrecord_lock( SysListsTable, 'SysLists', RecordId )\r\nwritev .quote_no->text on SysListsTable, RecordId, 1 else\r\n    Void = msg( '', 'Unable to write ':.quote_no->text:' on SYSLISTS ':RecordId )\r\n    return 0\r\nend\r\nunlock SysListsTable, RecordId else\r\n    Void = msg( '', 'Unable to unlock SYSLISTS ':RecordId )\r\n    return 0\r\nend\r\nopen 'QUOTE' to QuoteTable else\r\n    Void = msg( '', 'Unable to open QUOTE...' )\r\n    return 0\r\nend\r\nQuoteNo = .quote_no->text\r\nunlock QuoteTable, QuoteNo else\r\n    Void = msg( '', 'Unable to unlock QUOTE ':QuoteNo )\r\n    return 0\r\nend\r\nVoid = send_event( @window, 'WRITE' )\r\nVoid = end_window( @window, '' )\r\nbegin case\r\n   case PrevWindow = 'Order'\r\n      Void = post_event( 'ORDER.ORDER_DETAIL', 'OMNIEVENT' )\r\n   case PrevWindow = 'Annual Contracts'\r\n        Void = post_event( 'ANNUAL_CONTRACTS.QUOTE_NUM', 'OMNIEVENT' )\r\n   case PrevWindow = 'Work Order Log'\r\n        Void = post_event( 'WO_LOG.QUOTE_NUM', 'OMNIEVENT' )\r\n   case PrevWindow = 'CAR'\r\n        Void = post_event( 'CAR.QUOTE_NUM', 'OMNIEVENT' )\r\nend case\r\nRETURN 0"
        }
    }
}